## Apache Zeta Components Manual :: Docs For Class ezcConsoleArgumentException

### ConsoleTools::ezcConsoleArgumentException

### Class ezcConsoleArgumentException

General exception container for the ConsoleTools component referring to argument handling.

This base container allows you to catch all exceptions which are related to errors produced by invalid user submitted arguments ezcConsoleInput::process().

Source for this file: /ConsoleTools/src/exceptions/argument.php

    Exception
       |
       --ezcBaseException
          |
          --ezcConsoleException
             |
             --ezcConsoleArgumentException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcConsoleTooManyArgumentsException | Thrown if only a certain number of arguments were expected, but more were submitted.
ezcConsoleArgumentMandatoryViolationException | An argument was marked to be mandatory but was not submitted.
ezcConsoleArgumentTypeViolationException | An argument was submitted with an illigal type.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

Documentation generated by phpDocumentor 1.4.3